
/////////////////////////////////////////////////////////////////////////////////////
// Viewport.cpp
/////////////////////////////////////////////////////////////////////////////////////

#include "nds.h"
#include <stdio.h>

#include "Viewport.h"

/////////////////////////////////////////////////////////////////////////////////////
// Viewport()
/////////////////////////////////////////////////////////////////////////////////////

Viewport::Viewport(void) {

}

/////////////////////////////////////////////////////////////////////////////////////
// ~Viewport()
/////////////////////////////////////////////////////////////////////////////////////

Viewport::~Viewport(void) {

}

/////////////////////////////////////////////////////////////////////////////////////
// reshape() - reshape the viewport
/////////////////////////////////////////////////////////////////////////////////////

void Viewport::reshape(int startX, int startY, int dX, int dY) {

	// note that our horizontal resolution is two pixels, not one
	this->startX = startX >> 1;
	this->startY = startY;
	this->dX = dX >> 1;
	this->dY = dY;
	this->endX = this->startX + this->dX;
	this->endY = this->startY + this->dY;
}
